Subject: Re: bug#5976: 23.1.93; yanking shell commands - converted to single lines

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 21 Apr 2010 12:13:12 +0200

Juri Linkov <[email-masked]> writes:

>>> Doing this in bash, I get the same result because it saves multi-line
>>> commands on separate lines in ~/.bash_history and reads each line as
>>> a separate command.  Why should Emacs be different in this regard?
>>
>> I could have sworn that aquamacs 1.9 preserved multi-line shell commands
>> across shell sessions, but perhaps I'm mistaken. It certainly  does
>> preserve multi-line shell commands within a single shell session.
>
> Bash preserves multi-line shell commands within a single shell session too
> when its shopt option `cmdhist' is set.
>
> There is also the option `lithist' that replaces newlines with semicolon
> separators.  But it doesn't help because it doesn't replace newlines
> inside command line arguments.
>
> So I see no way to save multi-line shell commands in ~/.bash_history
> in a way compatible with Bash.  Do you have any ideas?
It seem eshell does what you ask, maybe you should look there?

-- 
Thierry Volpiatto
Gpg key: http://pgp.mit.edu/